# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "ins"
version = "0.14.3"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Instant CLI - command-line utilities"
homepage = "https://instantos.io"
readme = "README.md"
license = "GPL-2.0-only"
repository = "https://github.com/instantOS/instantCLI"

[features]
cross-compile = ["vendored"]
default = []
vendored = [
    "reqwest/native-tls-vendored",
    "rusqlite/bundled",
]

[[bin]]
name = "ins"
path = "src/main.rs"

[dependencies.age]
version = "0.11"
features = [
    "ssh",
    "armor",
]

[dependencies.anyhow]
version = "1.0.102"

[dependencies.async-trait]
version = "0.1.89"

[dependencies.base64]
version = "0.22.1"

[dependencies.bytes]
version = "1.11.1"

[dependencies.chrono]
version = "0.4.44"
features = ["serde"]

[dependencies.clap]
version = "4.6.1"
features = ["derive"]

[dependencies.clap_complete]
version = "4.6.3"
features = ["unstable-dynamic"]

[dependencies.colored]
version = "3.1.1"

[dependencies.comfy-table]
version = "7.2.2"

[dependencies.crossterm]
version = "0.29.0"

[dependencies.dialoguer]
version = "0.12.0"

[dependencies.dirs]
version = "6.0.0"

[dependencies.duct]
version = "1.1.1"

[dependencies.fre]
version = "0.4.1"

[dependencies.freedesktop-file-parser]
version = "0.3.1"

[dependencies.futures-util]
version = "0.3.32"

[dependencies.glob]
version = "0.3.3"

[dependencies.hex]
version = "0.4.3"

[dependencies.ignore]
version = "0.4.25"

[dependencies.indicatif]
version = "0.18.4"

[dependencies.nix]
version = "0.31"
features = [
    "fs",
    "hostname",
]

[dependencies.pathdiff]
version = "0.2"

[dependencies.pulldown-cmark]
version = "0.13.3"
features = ["simd"]

[dependencies.rand]
version = "0.10.1"

[dependencies.ratatui]
version = "0.30.1"

[dependencies.regex]
version = "1.12.3"

[dependencies.reqwest]
version = "0.13.3"
features = [
    "blocking",
    "json",
    "multipart",
    "stream",
]

[dependencies.rusqlite]
version = "0.39.0"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.149"

[dependencies.serde_yaml]
version = "0.9.34"

[dependencies.sha2]
version = "0.11.0"

[dependencies.shell-words]
version = "1.1.1"

[dependencies.shellexpand]
version = "3.1.2"

[dependencies.sudo]
version = "0.6.0"

[dependencies.tempfile]
version = "3.27.0"

[dependencies.thiserror]
version = "2.0.18"

[dependencies.tokio]
version = "1.52.2"
features = [
    "full",
    "signal",
]

[dependencies.toml]
version = "1.1.2"

[dependencies.urlencoding]
version = "2.1.3"

[dependencies.walkdir]
version = "2.5.0"

[dependencies.which]
version = "8.0.2"

[dev-dependencies.serial_test]
version = "3"

[profile.upload]
opt-level = "z"
lto = false
debug = 0
panic = "abort"
inherits = "dev"
strip = true
